Subject: Re: TCSH 6.13 shell script can't re-write to a file
From: Isaac Foraker <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Fri, 10 Sep 2004 10:40:55 -0600

I just tried this and had the same problem:

 > echo "Hello" > Stuff
 > rm -f Stuff
 > echo "Goodbye" > Stuff
Stuff: Permission denied.
 > ls -l Stuff
ls: Stuff: No such file or directory
 > tcsh --version
tcsh 6.13.00 (Astron) 2004-05-19 (i386-intel-posix) options 
8b,nls,dl,al,kan,rh,color,dspm
 > uname -a
CYGWIN_NT-5.1 xcoisaacf20 1.5.11(0.116/4/2) 2004-09-04 23:17 i686 
unknown unknown Cygwin

IF

Myers, Paul R (Research) wrote:

>I have a number of CSH/TCSH shell scripts that work with text files.
>In several cases I want to remove/erase a file before I start writing to it
>again. 
>
>I simplified the problem to this example:
>  #!/usr/bin/tcsh
>
>  echo "Hello" > stuff
>  rm -f stuff  
>  echo "Goodbye" > stuff
>
>After a recent tcsh upgrade (from 6.12.00-7 to 6.13.00-2), the 2nd echo
>command will produce the following error:
>stuff:  permission denied
>
>The problem doesn't appear when run line-by-line from the command line, and
>it doesn't appear when in a bash script.
>
>Can anyone else verify this behavior?  
>It seems like a windows sharing violation, does that make sense?
>
>
>Thanks for your help,
>
>Paul
>
>
> <<cygcheck_new.out>> 
>  
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/